AddCredentialsTask (Ant Contrib)
Keywords: net.sf.antcontrib.net.httpclient.AddCredentialsTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net.httpclient
Class AddCredentialsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.net.httpclient.AbstractHttpStateTypeTask
                  net.sf.antcontrib.net.httpclient.AddCredentialsTask

    public class AddCredentialsTask

extends AbstractHttpStateTypeTask

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AddCredentialsTask()`

Method Summary
`void` | `addConfiguredCredentials(Credentials credentials)`
`void` | `addConfiguredProxyCredentials(Credentials credentials)`
`protected void` | `execute(HttpStateType stateType)`

Methods inherited from class net.sf.antcontrib.net.httpclient.AbstractHttpStateTypeTask
`createCredentials, execute, setStateRefId`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddCredentialsTask

    public AddCredentialsTask()

Method Detail

### addConfiguredCredentials

    public void addConfiguredCredentials(Credentials credentials)

### addConfiguredProxyCredentials

    public void addConfiguredProxyCredentials(Credentials credentials)

### execute

    protected void execute(HttpStateType stateType)
                    throws org.apache.tools.ant.BuildException

  Specified by:
    `execute` in class `AbstractHttpStateTypeTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD